import ROOT
import os

# ---> First time, creating the shared library
print("*** Creating the shared library cHj1 ***")
f = ROOT.TFile("ntuple_emV_cHj1_LI_reduced.root")
t = f.Get("emV_cHj1_LI")

# creates the shareed library correctly 
t.GetPlayer().DrawScript("libs/selName2", os.getcwd() + "/macros/max_mjj.cxx", os.getcwd() + "/macros/cutfile.cxx", "", t.GetEntries(), 0)

f.Close()

# ---> Second time, load the shared library from same file
print("*** Loading the shared library cHj1 ***")
f = ROOT.TFile("ntuple_emV_cHj1_LI_reduced.root")
t = f.Get("emV_cHj1_LI")

# loads the shareed library correctly 
t.GetPlayer().DrawScript("libs/selName2", os.getcwd() + "/macros/max_mjj.cxx", os.getcwd() + "/macros/cutfile.cxx", "", t.GetEntries(), 0)

f.Close()

# ---> Third time, load the shared library from another file
print("*** Loading the shared library cHQ1 ***")
f1 = ROOT.TFile("ntuple_emV_cHQ1_LI_reduced.root")
t1 = f1.Get("emV_cHQ1_LI")

# attempts to recreate the shared library but fails
t1.GetPlayer().DrawScript("libs/selName2", os.getcwd() + "/macros/max_mjj.cxx", os.getcwd() + "/macros/cutfile.cxx", "", t1.GetEntries(), 0)

f1.Close()